package com.bjtdba.entity.userCenter;

public class ProductShare {

    private Integer id;
    /**
     * 用户ID
     */
    private Integer uid;

    /**
     * 商品ID
     */
    private Integer productId;

    /**
     * 分享渠道
     */
    private String shareChannel;

    /**
     * 微信好友分享数
     */
    private String friendsSum;

    /**
     * 朋友圈分享数
     */
    private String momentsSum;
    /**
     * 分享点击次数
     */
    private String clickNum;
    /**
     * 分享购买次数
     */
    private String buyNum;
    /**
     * 创时间
     */
    private String ctime;

    public String getFriendsSum() {
        return friendsSum;
    }

    public void setFriendsSum(String friendsSum) {
        this.friendsSum = friendsSum;
    }

    public String getMomentsSum() {
        return momentsSum;
    }

    public void setMomentsSum(String momentsSum) {
        this.momentsSum = momentsSum;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public String getShareChannel() {
        return shareChannel;
    }

    public void setShareChannel(String shareChannel) {
        /*if("1".equals(shareChannel)){
            this.shareChannel = "微信好友";
        }else if("2".equals(shareChannel)){
            this.shareChannel = "微信朋友圈";
        }*/
        this.shareChannel = shareChannel;
    }

    public String getClickNum() {
        return clickNum;
    }

    public void setClickNum(String clickNum) {
        this.clickNum = clickNum;
    }

    public String getBuyNum() {
        return buyNum;
    }

    public void setBuyNum(String buyNum) {
        this.buyNum = buyNum;
    }

    public String getCtime() {
        return ctime;
    }

    public void setCtime(String ctime) {
        this.ctime = ctime;
    }
}
